Wt: Wt::WMessageBox Class Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Wt::WMessageBox Class Reference

A standard dialog for confirmation or to get simple user input. More...

`#include <Wt/WMessageBox.h>`

Inheritance diagram for Wt::WMessageBox:
[legend]

## Public Member Functions
| WMessageBox ()
| Creates an empty message box.
| WMessageBox (const WString &caption, const WString &text, Icon icon, WFlags< StandardButton > buttons)
| Creates a message box with given caption, text, icon, and buttons.
void | setText (const WString &text)
| Sets the text for the message box.
const WString & | text () const
| Returns the message box text.
WText * | textWidget () const
| Returns the text widget.
void | setIcon (Icon icon)
| Sets the icon.
Icon | icon () const
| Returns the icon.
void | addButton (std::unique_ptr< WPushButton > button, const StandardButton result)
| Adds a custom button.
WPushButton * | addButton (const WString &text, StandardButton result)
| Adds a custom button with given text.
WPushButton * | addButton (StandardButton result)
| Adds a standard button.
void | setStandardButtons (WFlags< StandardButton > buttons)
| Sets standard buttons for the message box.
WFlags< StandardButton > | standardButtons () const
| Returns the standard buttons.
std::vector< WPushButton * > | buttons () const
| Returns the buttons.
WPushButton * | button (StandardButton button)
| Returns the button widget for the given standard button.
void | setDefaultButton (WPushButton *button)
| Sets the button as the default button.
void | setDefaultButton (StandardButton button)
| Sets the button as the default button.
WPushButton * | defaultButton () const
| Returns the default button.
void | setEscapeButton (WPushButton *button)
| Sets the escape button.
void | setEscapeButton (StandardButton button)
| Sets the escape button.
WPushButton * | escapeButton () const
| Returns the escape button.
StandardButton | buttonResult ()
| Returns the result of this message box.
Signal< StandardButton > & | buttonClicked ()
| Signal emitted when a button is clicked.
virtual void | setHidden (bool hidden, const WAnimation &animation=WAnimation()) override
| Hides or shows the widget.
Public Member Functions inherited from Wt::WDialog
| WDialog ()
| Constructs a new dialog.
| WDialog (const WString &windowTitle)
| Constructs a dialog with a given window title.
| ~WDialog ()
| Deletes a dialog.
void | setWindowTitle (const WString &title)
| Sets the dialog window title.
WString | windowTitle () const
| Returns the dialog window title.
void | setTitleBarEnabled (bool enabled)
| Enables or disables the title bar.
bool | isTitleBarEnabled () const
| Returns whether the title bar is enabled.
WContainerWidget * | titleBar () const
| Returns the dialog title bar container.
WContainerWidget * | contents () const
| Returns the dialog contents container.
WContainerWidget * | footer () const
| Returns the dialog footer container.
DialogCode | exec (const WAnimation &animation=WAnimation())
| Executes the dialog in a recursive event loop.
virtual void | done (DialogCode r)
| Stops the dialog.
virtual void | accept ()
| Closes the dialog, with result is Accepted.
virtual void | reject ()
| Closes the dialog, with result is Rejected.
void | rejectWhenEscapePressed (bool enable=true)
| Lets pressing the escape key reject the dialog.
Signal< DialogCode > & | finished ()
| Signal emitted when the dialog is closed.
DialogCode | result () const
| Returns the result that was set for this dialog.
void | setModal (bool modal)
| Sets whether the dialog is modal.
bool | isModal () const
| Returns whether the dialog is modal.
void | setResizable (bool resizable)
| Adds a resize handle to the dialog.
bool | resizable () const
| Returns whether the dialog has a resize handle.
void | setMovable (bool movable)
| Allows the dialog to be moved.
bool | movable () const
| Returns whether the dialog can be moved.
void | setClosable (bool closable)
| Adds a close button to the titlebar.
bool | closable () const
| Returns whether the dialog can be closed.
void | setAutoFocus (bool enable)
| Set focus on the first widget in the dialog.
virtual void | positionAt (const WWidget *widget, Orientation orientation=Orientation::Vertical) override
| Positions a widget next to another widget.
void | positionAt (const Wt::WMouseEvent &ev)
| Set the position of the widget at the mouse position.
void | raiseToFront ()
| Raises this dialog to be the top-most dialog.
virtual void | setMinimumSize (const WLength &width, const WLength &height) override
| Sets a minimum size.
virtual void | setMaximumSize (const WLength &width, const WLength &height) override
| Sets a maximum size.
JSignal< int, int > & | resized ()
| Signal emitted when the dialog is being resized by the user.
JSignal< int, int > & | moved ()
| Signal emitted when the dialog is being moved by the user.
EventSignal< WTouchEvent > & | touchStarted ()
| Event signal emitted when a finger is placed on the screen.
EventSignal< WTouchEvent > & | touchEnded ()
| Event signal emitted when a finger is removed from the screen.
EventSignal< WTouchEvent > & | touchMoved ()
| Event signal emitted when a finger, which is already placed on the screen, is moved across the screen.
EventSignal< WKeyEvent > & | keyWentDown ()
| Event signal emitted when a keyboard key is pushed down.
EventSignal< WKeyEvent > & | keyPressed ()
| Event signal emitted when a "character" was entered.
EventSignal< WKeyEvent > & | keyWentUp ()
| Event signal emitted when a keyboard key is released.
EventSignal & | enterPressed ()
| Event signal emitted when enter was pressed.
EventSignal & | escapePressed ()
| Event signal emitted when escape was pressed.
Public Member Functions inherited from Wt::WPopupWidget
| WPopupWidget (std::unique_ptr< WWidget > impl)
| Constructor.
virtual | ~WPopupWidget ()
| Destructor.
void | setAnchorWidget (WWidget *widget, Orientation orientation=Orientation::Vertical)
| Sets an anchor widget.
Orientation | orientation () const
| Returns the orientation.
void | setTransient (bool transient, int autoHideDelay=0)
| Sets transient property.
bool | isTransient () const
| Returns whether the popup is transient.
int | autoHideDelay () const
| Returns the auto-hide delay.
Signal & | hidden ()
| Signal emitted when the popup is hidden.
Signal & | shown ()
| Signal emitted when the popup is shown.
Public Member Functions inherited from Wt::WCompositeWidget
| WCompositeWidget ()
| Creates a WCompositeWidget.
| WCompositeWidget (std::unique_ptr< WWidget > implementation)
| Creates a WCompositeWidget with given implementation.
virtual std::vector< WWidget * > | children () const override
| Returns child widgets.
virtual std::unique_ptr< WWidget > | removeWidget (WWidget *widget) override
| Removes a child widget.
virtual void | setObjectName (const std::string &name) override
| Sets an object name.
virtual std::string | objectName () const override
| Returns the object name.
virtual const std::string | id () const override
| Returns the (unique) identifier for this object.
virtual void | setPositionScheme (PositionScheme scheme) override
| Sets the CSS position scheme.
virtual PositionScheme | positionScheme () const override
| Returns the CSS position scheme.
virtual void | setOffsets (const WLength &offset, WFlags< Side > sides=AllSides) override
| Sets CSS offsets for a non-statically positioned widget.
virtual WLength | offset (Side s) const override
| Returns a CSS offset.
virtual void | resize (const WLength &width, const WLength &height) override
| Resizes the widget.
virtual WLength | width () const override
| Returns the width.
virtual WLength | height () const override
| Returns the height.
virtual WLength | minimumWidth () const override
| Returns the minimum width.
virtual WLength | minimumHeight () const override
| Returns the minimum height.
virtual WLength | maximumWidth () const override
| Returns the maximum width.
virtual WLength | maximumHeight () const override
| Returns the maximum height.
virtual void | setLineHeight (const WLength &height) override
| Sets the CSS line height for contained text.
virtual WLength | lineHeight () const override
| Returns the CSS line height for contained text.
virtual void | setFloatSide (Side s) override
| Specifies a CSS float side.
virtual Side | floatSide () const override
| Returns the CSS float side.
virtual void | setClearSides (WFlags< Side > sides) override
| Sets the sides that should be cleared of floats.
virtual WFlags< Side > | clearSides () const override
| Returns the sides that should remain empty.
virtual void | setMargin (const WLength &margin, WFlags< Side > sides=AllSides) override
| Sets CSS margins around the widget.
virtual WLength | margin (Side side) const override
| Returns a CSS margin set.
virtual void | setHiddenKeepsGeometry (bool enabled) override
| Sets whether the widget keeps its geometry when hidden.
virtual bool | hiddenKeepsGeometry () const override
| Returns whether the widget keeps its geometry when hidden.
virtual bool | isHidden () const override
| Returns whether the widget is set hidden.
virtual bool | isVisible () const override
| Returns whether the widget is visible.
virtual void | setDisabled (bool disabled) override
| Sets whether the widget is disabled.
virtual bool | isDisabled () const override
| Returns whether the widget is set disabled.
virtual bool | isEnabled () const override
| Returns whether the widget is enabled.
virtual void | setPopup (bool popup) override
| Lets the widget overlay over other sibling widgets.
virtual bool | isPopup () const override
| Returns whether the widget is overlayed.
virtual void | setInline (bool isInline) override
| Sets whether the widget is displayed inline or as a block.
virtual bool | isInline () const override
| Returns whether the widget is displayed inline or as block.
virtual void | setDecorationStyle (const WCssDecorationStyle &style) override
| Sets a CSS decoration style.
virtual WCssDecorationStyle & | decorationStyle () override
| Returns the decoration style of this widget.
virtual void | setStyleClass (const WString &styleClass) override
| Sets (one or more) CSS style classes.
virtual WString | styleClass () const override
| Returns the CSS style class.
virtual void | addStyleClass (const WString &styleClass, bool force=false) override
| Adds a CSS style class.
virtual void | removeStyleClass (const WString &styleClass, bool force=false) override
| Removes a CSS style class.
virtual bool | hasStyleClass (const WString &styleClass) const override
| Returns whether the widget has a style class.
virtual void | setVerticalAlignment (AlignmentFlag alignment, const WLength &length=WLength::Auto) override
| Sets the vertical alignment.
virtual AlignmentFlag | verticalAlignment () const override
| Returns the vertical alignment.
virtual WLength | verticalAlignmentLength () const override
| Returns the fixed vertical alignment that was set.
virtual void | setToolTip (const WString &text, TextFormat textFormat=TextFormat::Plain) override
| Sets a tooltip.
virtual WString | toolTip () const override
| Returns the tooltip.
virtual void | setDeferredToolTip (bool enable, TextFormat textFormat=TextFormat::Plain) override
| Enable deferred tooltip.
virtual void | refresh () override
| Refresh the widget.
virtual void | setAttributeValue (const std::string &name, const WString &value) override
| Sets an attribute value.
virtual WString | attributeValue (const std::string &name) const override
| Returns an attribute value.
virtual void | setJavaScriptMember (const std::string &name, const std::string &value) override
| Sets a JavaScript member.
virtual std::string | javaScriptMember (const std::string &name) const override
| Returns the value of a JavaScript member.
virtual void | callJavaScriptMember (const std::string &name, const std::string &args) override
| Calls a JavaScript member.
virtual void | load () override
| Loads content just before the widget is used.
virtual bool | loaded () const override
| Returns whether this widget has been loaded.
virtual void | setCanReceiveFocus (bool enabled) override
| Sets whether the widget can receive focus.
virtual bool | canReceiveFocus () const override
| Returns whether the widget can receive focus.
virtual void | setFocus (bool focus) override
| Sets focus.
virtual bool | setFirstFocus () override
| Set focus on the widget's first descendant.
virtual bool | hasFocus () const override
| Returns whether the widget currently has the focus.
virtual void | setTabIndex (int index) override
| Sets the tab index.
virtual int | tabIndex () const override
| Returns the tab index.
virtual void | setId (const std::string &id) override
| Sets the CSS Id.
virtual WWidget * | find (const std::string &name) override
| Finds a descendent widget by name.
virtual WWidget * | findById (const std::string &name) override
| Finds a descendent widget by id.
virtual void | setSelectable (bool selectable) override
| Sets as selectable.
virtual void | doJavaScript (const std::string &js) override
| Executes the given JavaScript statements when the widget is rendered or updated.
virtual void | propagateSetEnabled (bool enabled) override
| Propagates that a widget was enabled or disabled through children.
virtual bool | scrollVisibilityEnabled () const final override
| Returns whether scroll visibility detection is enabled for this widget.
virtual void | setScrollVisibilityEnabled (bool enabled) final override
| Sets whether scroll visibility detection is enabled for this widget.
virtual int | scrollVisibilityMargin () const final override
| Returns the margin around the viewport within which the widget is considered visible.
virtual void | setScrollVisibilityMargin (int margin) final override
| Sets the margin around the viewport within which the widget is considered visible.
virtual Signal< bool > & | scrollVisibilityChanged () final override
| Signal triggered when the scroll visibility of this widget changes.
virtual bool | isScrollVisible () const final override
| Returns whether this widget is currently considered scroll visible.
virtual void | setThemeStyleEnabled (bool enabled) final override
| Sets whether theme styling for a widget is enabled or disabled.
virtual bool | isThemeStyleEnabled () const final override
| Returns whether this widget is currently styled by the chosen theme.
template<typename Widget >
std::unique_ptr< Widget > | removeWidget (Widget *widget)
| Removes a child widget.
void | setFocus ()
| Sets focus.
Public Member Functions inherited from Wt::WWidget
virtual | ~WWidget ()
| Destructor.
WWidget * | parent () const
| Returns the parent widget.
template<typename Widget >
std::unique_ptr< Widget > | removeWidget (Widget *widget)
| Removes a child widget.
std::unique_ptr< WWidget > | removeFromParent ()
| Removes the widget from its parent.
void | setWidth (const WLength &width)
| Sets the width.
void | setHeight (const WLength &height)
| Sets the height.
virtual void | toggleStyleClass (const WString &styleClass, bool add, bool force=false)
| Toggles a CSS style class.
std::string | jsRef () const
| Returns a JavaScript expression to the corresponding DOM node.
void | setFocus ()
| Sets focus.
virtual void | acceptDrops (const std::string &mimeType, const WString &hoverStyleClass=WString())
| Sets a mime type to be accepted for dropping.
virtual void | stopAcceptDrops (const std::string &mimeType)
| Indicates that a mime type is no longer accepted for dropping.
virtual void | htmlText (std::ostream &out)
| Streams the (X)HTML representation.
bool | isRendered () const
| Returns whether the widget is rendered.
void | hide ()
| Hides the widget.
void | animateHide (const WAnimation &animation)
| Hides the widget using an animation.
void | show ()
| Shows the widget.
void | animateShow (const WAnimation &animation)
| Shows the widget using an animation.
void | enable ()
| Enables the widget.
void | disable ()
| Disable thes widget.
bool | layoutSizeAware () const
| Returns whether the widget is layout size aware.
Public Member Functions inherited from Wt::WObject
void | addChild (std::unique_ptr< WObject > child)
| Add a child WObject whose lifetime is determined by this WObject.
template<typename Child >
Child * | addChild (std::unique_ptr< Child > child)
| Add a child WObject, returning a raw pointer.
std::unique_ptr< WObject > | removeChild (WObject *child)
| Remove a child WObject, so its lifetime is no longer determined by this WObject.
template<typename Child >
std::unique_ptr< Child > | removeChild (Child *child)
| Remove a child WObject, so its lifetime is no longer determined by this WObject.
void | resetLearnedSlots ()
| Resets learned stateless slot implementations.
template<class T >
void | resetLearnedSlot (void(T::*method)())
| Resets a learned stateless slot implementation.
template<class T >
WStatelessSlot * | implementStateless (void(T::*method)())
| Declares a slot to be stateless and learn client-side behaviour on first invocation.
template<class T >
WStatelessSlot * | implementStateless (void(T::*method)(), void(T::*undoMethod)())
| Declares a slot to be stateless and learn client-side behaviour in advance.
void | isNotStateless ()
| Marks the current function as not stateless.
template<class T >
WStatelessSlot * | implementJavaScript (void(T::*method)(), const std::string &jsCode)
| Provides a JavaScript implementation for a method.
Public Member Functions inherited from Wt::Core::observable
| observable () noexcept
| Default constructor.
virtual | ~observable ()
| Destructor.
template<typename... Args, typename C >
auto | bindSafe (void(C::*method)(Args...)) noexcept
| Protects a method call against object destruction.
template<typename... Args, typename C >
auto | bindSafe (void(C::*method)(Args...) const) const noexcept
| Protects a const method call against object destruction.
template<typename Function >
auto | bindSafe (const Function &function) noexcept
| Protects a function against object destruction.

## Static Public Member Functions
static StandardButton | show (const WString &caption, const WString &text, WFlags< StandardButton > buttons, const WAnimation &animation=WAnimation())
| Convenience method to show a message box, blocking the current thread.
Static Public Member Functions inherited from Wt::WWidget
static WString | tr (const char *key)
| Short hand for WString::tr()
Static Public Member Functions inherited from Wt::WObject

## Additional Inherited Members
Public Types inherited from Wt::WDialog
typedef DialogCode | Code
| Typedef for enum Wt::DialogCode.
Public Types inherited from Wt::WObject
typedef void(WObject::*) | Method()
| Typedef for a WObject method without arguments.
Static Public Attributes inherited from Wt::WWidget
Protected Types inherited from Wt::WWidget
Protected Member Functions inherited from Wt::WDialog
virtual void | render (WFlags< RenderFlag > flags) override
| Renders the widget.
Protected Member Functions inherited from Wt::WPopupWidget
Protected Member Functions inherited from Wt::WCompositeWidget
virtual void | enableAjax () override
| Progresses to an Ajax-enabled widget.
void | setImplementation (std::unique_ptr< WWidget > widget)
| Set the implementation widget.
template<typename Widget >
Widget * | setImplementation (std::unique_ptr< Widget > widget)
| Sets the implementation widget, returning a raw pointer.
template<typename W , typename... Args>
W * | setNewImplementation (Args &&... args)
| Creates the implementation widget and sets it, returning a raw pointer.
WWidget * | implementation ()
| Get the implementation widget.
virtual int | boxPadding (Orientation orientation) const override
| Returns the widget's built-in padding.
virtual int | boxBorder (Orientation orientation) const override
| Returns the widget's built-in border width.
Protected Member Functions inherited from Wt::WWidget
void | setLayoutSizeAware (bool sizeAware)
| Sets the widget to be aware of its size set by a layout manager.
virtual void | layoutSizeChanged (int width, int height)
| Virtual method that indicates a size change.
| WWidget ()
| Creates a widget.
virtual void | dropEvent (WDropEvent dropEvent)
| Handles a drop event.
void | scheduleRender (WFlags< RepaintFlag > flags=None)
| Schedules rerendering of the widget.
virtual WStatelessSlot * | getStateless (Method method) override
| On-demand stateless slot implementation.
Protected Member Functions inherited from Wt::WObject
Static Protected Attributes inherited from Wt::WWidget

## Detailed Description

A standard dialog for confirmation or to get simple user input.

The messagebox shows a message in a dialog window, with a number of buttons. These buttons may be standard buttons, or customized.

A messagebox is (usually) modal, and can be instantiated synchronously or asynchronously.

When using a messagebox asynchronously, there is no API call that waits for the messagebox to be processed. Instead, the usage is similar to instantiating a WDialog (or any other widget). You need to connect to the buttonClicked() signal to interpret the result and delete the message box.

The synchronous use of a messagebox involves the use of the static show() method, which blocks the current thread until the user has processed the messabebox. Since this uses the WDialog::exec(), it suffers from the same scalability issues as well as limitations. See documentation of WDialog for more details.

Example code (using the exec() method, not recommended):

StandardButton
result = WMessageBox::show("Confirm", "About to wreak havoc... Continue ?",
StandardButton::Ok | StandardButton::Cancel);
Wt::WDialog::result
DialogCode result() const
Returns the result that was set for this dialog.
Definition WDialog.h:273
Wt::WWidget::show
void show()
Shows the widget.
Wt::StandardButton
StandardButton
Enumeration that indicates a standard button.
Definition WGlobal.h:355
Wt::StandardButton::Ok
@ Ok
An OK button.
Wt::StandardButton::Cancel
@ Cancel
A Cancel button.

This will show a message box that looks like this:

Example of a WMessageBox (default) | Example of a WMessageBox (polished)

### i18n

The strings used in the WMessageBox buttons can be translated by overriding the default values for the following localization keys:

- Wt.WMessageBox.Abort: Abort
- Wt.WMessageBox.Cancel: Cancel
- Wt.WMessageBox.Ignore: Ignore
- Wt.WMessageBox.No: No
- Wt.WMessageBox.NoToAll: No To All
- Wt.WMessageBox.Ok: Ok
- Wt.WMessageBox.Retry: Retry
- Wt.WMessageBox.Yes: Yes
- Wt.WMessageBox.YesToAll: Yes to All

## Member Function Documentation

## ◆ addButton() [1/2]

WPushButton * Wt::WMessageBox::addButton | ( | const WString & | text,
|  | StandardButton | result )

Adds a custom button with given text.

When the button is clicked, the associated result will be returned.

## ◆ addButton() [2/2]

void Wt::WMessageBox::addButton | ( | std::unique_ptr< WPushButton > | button,
|  | const StandardButton | result )

Adds a custom button.

When the button is clicked, the associated result will be returned.

## ◆ button()

WPushButton * Wt::WMessageBox::button | ( | StandardButton | button | ) |

Returns the button widget for the given standard button.

Returns `0` if the button isn't in the message box.

This may be useful to customize the style or layout of the button.

## ◆ buttonResult()

StandardButton Wt::WMessageBox::buttonResult | ( |  | ) |

Returns the result of this message box.

This value is only defined after the dialog is finished.

## ◆ buttons()

std::vector< WPushButton * > Wt::WMessageBox::buttons | ( |  | ) | const

Returns the buttons.

Note
  buttons() returning WFlags<StandardButton> has been renamed to standardButtons() in Wt 3.3.1

## ◆ defaultButton()

WPushButton * Wt::WMessageBox::defaultButton | ( |  | ) | const

Returns the default button.

See also
  setDefaultButton()

## ◆ escapeButton()

WPushButton * Wt::WMessageBox::escapeButton | ( |  | ) | const

Returns the escape button.

See also
  setEscapeButton()

## ◆ setDefaultButton() [1/2]

void Wt::WMessageBox::setDefaultButton | ( | StandardButton | button | ) |

Sets the button as the default button.

The default button is pressed when the user presses enter. Only one button can be the default button.

The default value is 0 (no default button).

## ◆ setDefaultButton() [2/2]

void Wt::WMessageBox::setDefaultButton | ( | WPushButton * | button | ) |

Sets the button as the default button.

The default button is pressed when the user presses enter. Only one button can be the default button.

If no default button is set, Wt will take a button that is associated with a Wt::StandardButton::Ok or Wt::StandardButton::Yes result.

## ◆ setEscapeButton() [1/2]

void Wt::WMessageBox::setEscapeButton | ( | StandardButton | button | ) |

Sets the escape button.

The escape button is pressed when the user presses escapes.

If no escape button is set, Wt will take a button that is associated with a Wt::StandardButton::Cancel or Wt::StandardButton::No result.

## ◆ setEscapeButton() [2/2]

void Wt::WMessageBox::setEscapeButton | ( | WPushButton * | button | ) |

Sets the escape button.

The escape button is pressed when the user presses escapes.

If no escape button is set, Wt will take a button that is associated with a Wt::StandardButton::Cancel or Wt::StandardButton::No result.

## ◆ setHidden()

virtual void Wt::WMessageBox::setHidden | ( | bool | hidden,
|  | const WAnimation & | animation = WAnimation() )
| overridevirtual

Hides or shows the widget.

Hides or show the widget (including all its descendant widgets). When setting `hidden` = `false`, this widget and all descendant widgets that are not hidden will be shown. A widget is only visible if it and all its ancestors in the widget tree are visible, which may be checked using isVisible().

Note
  hide() and show() are considered to be stateless slots by default. If you override setHidden() and need to modify server state whenever it is called, you'll need to call WObject::isNotStateless().

Reimplemented from Wt::WDialog.

## ◆ show()

static StandardButton Wt::WMessageBox::show | ( | const WString & | caption,
|  | const WString & | text,
|  | WFlags< StandardButton > | buttons,
|  | const WAnimation & | animation = WAnimation() )
| static

Convenience method to show a message box, blocking the current thread.

Show a message box, blocking the current thread until the message box is closed, and return the result. The use of this method is not recommended since it uses WDialog::exec(). See documentation of WDialog for detailed information.

## ◆ standardButtons()

WFlags< StandardButton > Wt::WMessageBox::standardButtons | ( |  | ) | const

Returns the standard buttons.

See also
  setStandardButtons(), addButton()

## ◆ textWidget()

WText * Wt::WMessageBox::textWidget | ( |  | ) | const

Returns the text widget.

This may be useful to customize the style or layout of the displayed text.